Delete an annotation
curl --request DELETE \
--url https://api.vantage.sh/v2/annotations/{annotation_token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/annotations/{annotation_token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/annotations/{annotation_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>",
"title": "<string>",
"report_tokens": [
"<string>"
],
"date": "2026-08-12",
"message": "<string>"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Annotations
Delete an annotation
Delete an Annotation.
DELETE
/
annotations
/
{annotation_token}
Delete an annotation
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The token of the Annotation.
Response
Annotation deleted successfully.
Annotation model
The unique token identifying the Annotation.
The title of the Annotation.
The tokens of the Reports associated with the Annotation.
The date of the Annotation. ISO 8601 formatted.
Example:
"2026-08-12"
The message of the Annotation.
⌘I